import QtQuick 1.1

Item {
        // we have 5 items in 4 grid-cells, adjust our height to that
    height: (grid.cellHeight + grid.verticalSpacing) * 4 / 5

    MouseArea {
        anchors.fill: parent
        onClicked: settingsRoot.itemTriggered(index)
    }
    Text {
        anchors.centerIn: parent
        text: modelData
        color: parent.ListView.isCurrentItem ? colors.textFocused : colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
    }
}
