import QtQuick 1.1
import se.flir 1.0

/**
 * This page shows the global message spinner, which is a normal MessageSpinner
 * but there is one C++ object that drives it, allowing users to show a box from
 * C++.
 */

MessageSpinner {
    title: qsTrId(messageSpinnerHandler.title)
    visible: messageSpinnerHandler.showing && ! pogo
    opacity: 1
    closable: false

    onVisibleChanged: {
        if (visible)
            show();
        else
            hide()
    }
}
