import QtQuick 1.1

Item {
    id: shadedRectangle

    Rectangle {
        id: rectBorder
        radius: shadedRectangle.height * 0.1
        smooth: true
        anchors.fill: shadedRectangle
        z: 10
        gradient: Gradient {
            GradientStop { position: 0.00; color: "#030303" }
            GradientStop { position: 0.15; color: "#585858" }
            GradientStop { position: 0.85; color: "#353535" }
            GradientStop { position: 1.00; color: "#434343" }
        }
    }
    Rectangle {
        anchors.fill: rectBorder
        anchors.margins: 1
        smooth: true
        radius: rectBorder.radius
        z: 20
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#656565" }
            GradientStop { position: 1.0; color: "#343434" }
        }
    }
}
